Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.registry
Class AddViewComponentMenu

    java.lang.Object
      de.grogra.imp.registry.AddViewComponentMenu

All Implemented Interfaces:
  UITreePipeline.Transformer, Disposable, java.util.EventListener

    public final class AddViewComponentMenu

extends java.lang.Object
implements UITreePipeline.Transformer, EventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Constructor Summary
`AddViewComponentMenu()`

Method Summary
`void` | `dispose()`
`void` | `eventOccured(java.util.EventObject e)` This method is invoked on registered event listeners when `event` has occured.
`void` | `initialize(UITreePipeline pipeline)`
`boolean` | `isAffectedBy(javax.swing.tree.TreePath path)`
`void` | `transform(UITreePipeline.Node root)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddViewComponentMenu

    public AddViewComponentMenu()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### eventOccured

    public void eventOccured(java.util.EventObject e)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `e` - an event

### initialize

    public void initialize(UITreePipeline pipeline)

  Specified by:
    `initialize` in interface `UITreePipeline.Transformer`

### isAffectedBy

    public boolean isAffectedBy(javax.swing.tree.TreePath path)

  Specified by:
    `isAffectedBy` in interface `UITreePipeline.Transformer`

### transform

    public void transform(UITreePipeline.Node root)

  Specified by:
    `transform` in interface `UITreePipeline.Transformer`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD